data:extend({
  {
    type = "recipe",
    name = "quartz-crystal",
    category = "smelting",
    energy_required = 3.2,
    ingredients = { { type = "item", name = "quartz-ore", amount = 8 } },
    results = { { type = "item", name = "quartz-crystal", amount = 1 } },
    allow_productivity = true
  },
  {
    type = "recipe",
    name = "bioluminescent-crystal",
    category = "crafting",
    ingredients = { { type = "item", name = "quartz-crystal", amount = 1 }, { type = "item", name = "luciferin", amount = 16 } },
    results = { { type = "item", name = "bioluminescent-crystal", amount = 1 } },
    energy_required = 3.2,
    allow_productivity = true
  },
  {
    type = "recipe",
    name = "lucifunnel-processing",
    icon = "__space-age__/graphics/icons/jellynut-processing.png",
    category = "crafting",
    ingredients = { { type = "item", name = "lucifunnel", amount = 1 } },
    results = {
      { type = "item", name = "lucifunnel-seed", amount = 1, probability = 0.04 },
      { type = "item", name = "luciferin",       amount = 1 },
    },
    energy_required = 1,
    allow_productivity = true
  },
  {
    type = "recipe",
    name = "tenecap-processing",
    icon = "__space-age__/graphics/icons/jellynut-processing.png",
    category = "crafting",
    ingredients = { { type = "item", name = "tenecap", amount = 1 } },
    results = {
      { type = "item", name = "tenecap-spore", amount = 1, probability = 0.04 },
      { type = "item", name = "chitin",        amount = 1 },
    },
    energy_required = 1,
    allow_productivity = true
  },
  {
    type = "recipe",
    name = "bio-agricultural-tower",
    localised_name = {"entity-name.agricultural-tower"},
    group = "bioluminescent",
    ingredients = {
      { type = "item", name = "steel-plate",            amount = 10 },
      { type = "item", name = "electronic-circuit",     amount = 3 },
      { type = "item", name = "bioluminescent-crystal", amount = 4 }
    },
    results = {
      { type = "item", name = "bioluminescent-agricultural-tower", amount = 1 },
    },
    surface_conditions = {
      {
        property = "pressure",
        min = 3000,
        max = 3000
      }
    },
    energy_required = 1,
    allow_productivity = true
  },
  {
    type = "recipe",
    name = "biopolymer",
    category = "organic",
    ingredients = {
      { type = "item", name = "chitin", amount = 1 },
    },
    results = {
      { type = "item", name = "plastic-bar", amount = 4 },
    },
    surface_conditions = {
      {
        property = "pressure",
        min = 3000,
        max = 3000
      }
    },
    energy_required = 1,
    allow_productivity = true
  },
  {
    type = "recipe",
    name = "chitosan",
    category = "chemistry",
    ingredients = {
      { type = "item", name = "chitin", amount = 8 },
      { type = "fluid", name = "sulfuric-acid", amount = 50}
    },
    results = {
      { type = "item", name = "chitosan", amount = 4 },
    },
    surface_conditions = {
      {
        property = "pressure",
        min = 3000,
        max = 3000
      }
    },
    energy_required = 2,
    allow_productivity = true
  },
  {
    type = "recipe",
    name = "bioluminescent-science-pack",
    category = "crafting",
    ingredients = { 
      { type = "item", name = "bioluminescent-crystal", amount = 1 },
      { type = "item", name = "chitosan", amount = 1 } 
    },
    results = { { type = "item", name = "bioluminescent-science-pack", amount = 1 } },
    energy_required = 15,
    allow_productivity = true
  },
})
